/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	"context"

	v1alpha2 "github.com/kyverno/kyverno/api/kyverno/v1alpha2"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	labels "k8s.io/apimachinery/pkg/labels"
	schema "k8s.io/apimachinery/pkg/runtime/schema"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	testing "k8s.io/client-go/testing"
)

// FakeAdmissionReports implements AdmissionReportInterface
type FakeAdmissionReports struct {
	Fake *FakeKyvernoV1alpha2
	ns   string
}

var admissionreportsResource = schema.GroupVersionResource{Group: "kyverno.io", Version: "v1alpha2", Resource: "admissionreports"}

var admissionreportsKind = schema.GroupVersionKind{Group: "kyverno.io", Version: "v1alpha2", Kind: "AdmissionReport"}

// Get takes name of the admissionReport, and returns the corresponding admissionReport object, and an error if there is any.
func (c *FakeAdmissionReports) Get(ctx context.Context, name string, options v1.GetOptions) (result *v1alpha2.AdmissionReport, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewGetAction(admissionreportsResource, c.ns, name), &v1alpha2.AdmissionReport{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.AdmissionReport), err
}

// List takes label and field selectors, and returns the list of AdmissionReports that match those selectors.
func (c *FakeAdmissionReports) List(ctx context.Context, opts v1.ListOptions) (result *v1alpha2.AdmissionReportList, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewListAction(admissionreportsResource, admissionreportsKind, c.ns, opts), &v1alpha2.AdmissionReportList{})

	if obj == nil {
		return nil, err
	}

	label, _, _ := testing.ExtractFromListOptions(opts)
	if label == nil {
		label = labels.Everything()
	}
	list := &v1alpha2.AdmissionReportList{ListMeta: obj.(*v1alpha2.AdmissionReportList).ListMeta}
	for _, item := range obj.(*v1alpha2.AdmissionReportList).Items {
		if label.Matches(labels.Set(item.Labels)) {
			list.Items = append(list.Items, item)
		}
	}
	return list, err
}

// Watch returns a watch.Interface that watches the requested admissionReports.
func (c *FakeAdmissionReports) Watch(ctx context.Context, opts v1.ListOptions) (watch.Interface, error) {
	return c.Fake.
		InvokesWatch(testing.NewWatchAction(admissionreportsResource, c.ns, opts))

}

// Create takes the representation of a admissionReport and creates it.  Returns the server's representation of the admissionReport, and an error, if there is any.
func (c *FakeAdmissionReports) Create(ctx context.Context, admissionReport *v1alpha2.AdmissionReport, opts v1.CreateOptions) (result *v1alpha2.AdmissionReport, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewCreateAction(admissionreportsResource, c.ns, admissionReport), &v1alpha2.AdmissionReport{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.AdmissionReport), err
}

// Update takes the representation of a admissionReport and updates it. Returns the server's representation of the admissionReport, and an error, if there is any.
func (c *FakeAdmissionReports) Update(ctx context.Context, admissionReport *v1alpha2.AdmissionReport, opts v1.UpdateOptions) (result *v1alpha2.AdmissionReport, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewUpdateAction(admissionreportsResource, c.ns, admissionReport), &v1alpha2.AdmissionReport{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.AdmissionReport), err
}

// Delete takes name of the admissionReport and deletes it. Returns an error if one occurs.
func (c *FakeAdmissionReports) Delete(ctx context.Context, name string, opts v1.DeleteOptions) error {
	_, err := c.Fake.
		Invokes(testing.NewDeleteActionWithOptions(admissionreportsResource, c.ns, name, opts), &v1alpha2.AdmissionReport{})

	return err
}

// DeleteCollection deletes a collection of objects.
func (c *FakeAdmissionReports) DeleteCollection(ctx context.Context, opts v1.DeleteOptions, listOpts v1.ListOptions) error {
	action := testing.NewDeleteCollectionAction(admissionreportsResource, c.ns, listOpts)

	_, err := c.Fake.Invokes(action, &v1alpha2.AdmissionReportList{})
	return err
}

// Patch applies the patch and returns the patched admissionReport.
func (c *FakeAdmissionReports) Patch(ctx context.Context, name string, pt types.PatchType, data []byte, opts v1.PatchOptions, subresources ...string) (result *v1alpha2.AdmissionReport, err error) {
	obj, err := c.Fake.
		Invokes(testing.NewPatchSubresourceAction(admissionreportsResource, c.ns, name, pt, data, subresources...), &v1alpha2.AdmissionReport{})

	if obj == nil {
		return nil, err
	}
	return obj.(*v1alpha2.AdmissionReport), err
}
