/*
Copyright The Kubernetes Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by lister-gen. DO NOT EDIT.

package v1beta1

import (
	v1beta1 "github.com/kyverno/kyverno/api/kyverno/v1beta1"
	"k8s.io/apimachinery/pkg/api/errors"
	"k8s.io/apimachinery/pkg/labels"
	"k8s.io/client-go/tools/cache"
)

// UpdateRequestLister helps list UpdateRequests.
// All objects returned here must be treated as read-only.
type UpdateRequestLister interface {
	// List lists all UpdateRequests in the indexer.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*v1beta1.UpdateRequest, err error)
	// UpdateRequests returns an object that can list and get UpdateRequests.
	UpdateRequests(namespace string) UpdateRequestNamespaceLister
	UpdateRequestListerExpansion
}

// updateRequestLister implements the UpdateRequestLister interface.
type updateRequestLister struct {
	indexer cache.Indexer
}

// NewUpdateRequestLister returns a new UpdateRequestLister.
func NewUpdateRequestLister(indexer cache.Indexer) UpdateRequestLister {
	return &updateRequestLister{indexer: indexer}
}

// List lists all UpdateRequests in the indexer.
func (s *updateRequestLister) List(selector labels.Selector) (ret []*v1beta1.UpdateRequest, err error) {
	err = cache.ListAll(s.indexer, selector, func(m interface{}) {
		ret = append(ret, m.(*v1beta1.UpdateRequest))
	})
	return ret, err
}

// UpdateRequests returns an object that can list and get UpdateRequests.
func (s *updateRequestLister) UpdateRequests(namespace string) UpdateRequestNamespaceLister {
	return updateRequestNamespaceLister{indexer: s.indexer, namespace: namespace}
}

// UpdateRequestNamespaceLister helps list and get UpdateRequests.
// All objects returned here must be treated as read-only.
type UpdateRequestNamespaceLister interface {
	// List lists all UpdateRequests in the indexer for a given namespace.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*v1beta1.UpdateRequest, err error)
	// Get retrieves the UpdateRequest from the indexer for a given namespace and name.
	// Objects returned here must be treated as read-only.
	Get(name string) (*v1beta1.UpdateRequest, error)
	UpdateRequestNamespaceListerExpansion
}

// updateRequestNamespaceLister implements the UpdateRequestNamespaceLister
// interface.
type updateRequestNamespaceLister struct {
	indexer   cache.Indexer
	namespace string
}

// List lists all UpdateRequests in the indexer for a given namespace.
func (s updateRequestNamespaceLister) List(selector labels.Selector) (ret []*v1beta1.UpdateRequest, err error) {
	err = cache.ListAllByNamespace(s.indexer, s.namespace, selector, func(m interface{}) {
		ret = append(ret, m.(*v1beta1.UpdateRequest))
	})
	return ret, err
}

// Get retrieves the UpdateRequest from the indexer for a given namespace and name.
func (s updateRequestNamespaceLister) Get(name string) (*v1beta1.UpdateRequest, error) {
	obj, exists, err := s.indexer.GetByKey(s.namespace + "/" + name)
	if err != nil {
		return nil, err
	}
	if !exists {
		return nil, errors.NewNotFound(v1beta1.Resource("updaterequest"), name)
	}
	return obj.(*v1beta1.UpdateRequest), nil
}
